<template>
  <cabinet-layout nav-active="inbox">
    <div
      slot="block-content"
      class="inbox">
      <submenu
        menu-active="inbox"
        item-active=""/>
      <div class="container">
        <div class="block-description">
          <div class="title-mobile">Входящие запросы. Запрос</div>
          <div class="kit breadcrumb">
            <div class="section">
              <flink href="/cabinet/inbox">Входящие запросы</flink>
            </div>
            <div class="section active">
              <flink>Запрос</flink>
            </div>
          </div>

          <div class="block-border">
            <div class="title desktopshow">Запрос</div>
            <div class="param _normal">
              <span class="caption">Статус запроса:</span>
              <span class="value">новый</span>
            </div>
            <div class="block-button mobilshow">
              <button
                v-if="displayMobile === 'description'"
                @click="showFormPriceOffer"
                class="ui button blue circular">
                Взять в работу
              </button>
              <button
                v-if="false && displayMobile === 'description'"
                @click="showFormPriceOffer"
                class="ui button blue circular">Изменить предложение
              </button>
              <button
                v-if="displayMobile === 'description'"
                @click="showFormCancelRequest"
                class="ui button blue inverted thin circular">Отменить
              </button>
              <button
                v-if="displayMobile === 'form'"
                @click="displayMobile='description'"
                class="ui button blue circular">
                <img
                  svg-inline
                  src="~/assets/svg/arrow/left.svg">
                Назад
              </button>
            </div>
          </div>

          <div
            class="block-outer"
            :class="{ active: displayMobile === 'description' }">
            <div class="block-border">
              <div class="param _small">
                <span class="caption">Запрошенная покупателем запчасть:</span>
                <span class="value">Дверь багажника</span>
              </div>
              <div class="param _small">
                <span class="caption">Артикул:</span>
                <span class="value">дверь пятая на универсал</span>
              </div>
              <div class="param _small">
                <span class="caption">Требуемый тип запчасти:</span>
                <span class="value">новая или контрактная</span>
              </div>
              <div class="param _small">
                <span class="caption">Требуемое количество:</span>
                <span class="value">1 шт.</span>
              </div>
            </div>

            <div class="block-border">
              <div class="param _small">
                <span class="caption">VIN номер:</span>
                <flink
                  href="#"
                  class="value kit aqualink">XUUNF356J70002483
                </flink>
              </div>
              <div class="param _small">
                <span class="caption">Артикул:</span>
                <span class="value">дверь пятая на универсал</span>
              </div>
            </div>

            <div class="block-border">
              <div class="param _small">
                <span class="caption">Покупатель:</span>
                <span class="value">Станислав</span>
              </div>
              <div class="param _small">
                <span class="caption">Артикул:</span>
                <span class="value">дверь пятая на универсал</span>
              </div>
              <div class="param _small">
                <span class="caption">Адрес:</span>
                <span class="value">Красноярск</span>
              </div>
              <div class="param _small">
                <span class="caption">E-mail:</span>
                <flink
                  class="value kit aqualink"
                  href="mailto:chevi-motors@mail.ru">chevi-motors@mail.ru
                </flink>
              </div>
              <div class="param _small">
                <span class="caption">Телефон:</span>
                <flink
                  class="value kit aqualink"
                  href="tel:+79535856121">+7 (953) 585-61-21
                </flink>
              </div>
            </div>

            <accordion
              class="light"
              :fluid-title="false">
              <div
                slot="title-panel"
                class="subtitle short">История запроса
              </div>
              <div
                slot="content"
                class="content">
                <div class="inner-params">
                  <div class="param _small">
                    <span class="caption">Время создания:</span>
                    <span class="value">12.03.2019 11:35:01 (MSK)</span>
                  </div>
                </div>
              </div>
            </accordion>

            <div class="block-border">
              <div class="subtitle">Предложение покупателю</div>
              <div
                class="param _small"
                v-for="(i, index) in 5"
                :key="i + index">
                <span class="caption">Производитель:</span>
                <span class="value">BMW</span>
              </div>
            </div>
          </div>

          <div
            class="block-outer"
            :class="{ active: displayMobile === 'form' }">
            <div
              class="block-form"
              id="form">
              <form-price-offer v-if="isShowFormPriseOffer"/>
              <form-cancel-request v-if="isShowFormCancelRequest"/>
            </div>
          </div>

        </div>

        <div class="block-status desktopshow">
          <div class="param _normal">
            <span class="caption">Статус запроса:</span>
            <span class="value">новый</span>
          </div>
          <ol class="steps-action">
            <li class="item">
              <div class="name">Возьмите в работу: назначьте цену и укажите условия доставки</div>
              <button
                @click="showFormPriceOffer"
                type="button"
                class="ui button blue small">
                <span>Взять в работу</span>
              </button>
            </li>
            <li
              v-if="false"
              class="item">
              <div class="name">Вы можете отредактировать созданное предложение</div>
              <button
                @click="showFormPriceOffer"
                type="button"
                class="ui button blue small">
                <span>Изменить предложение</span>
              </button>
            </li>
            <li class="item">
              <div class="name">По каким-то причинам не можете выполнить заказ? Сообщите покупателю и отмените заказ
              </div>
              <button
                @click="showFormCancelRequest"
                type="button"
                class="ui button blue inverted thin small">
                <span>Отменить</span>
              </button>
            </li>
          </ol>
        </div>
      </div>
    </div>
  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import FormPriceOffer from '~/components/redesign/cabinet/form-price-offer';
import FormCancelRequest from '~/components/redesign/cabinet/form-cancel-request';
import Submenu from '~/components/redesign/cabinet/submenu';
import Accordion from '~/components/redesign/blocks/accordion-desktop';

export default {
  name: 'InboxRequest',
  components: {
    CabinetLayout,
    Submenu,
    Accordion,
    FormPriceOffer,
    FormCancelRequest,
  },
  layout: 'cabinet',
  data() {
    return {
      isShowFormPriseOffer: false,
      isShowFormCancelRequest: false,
      displayMobile: 'description',
    };
  },
  methods: {
    showFormPriceOffer() {
      this.isShowFormPriseOffer = true;
      this.isShowFormCancelRequest = false;
      this.displayMobile = 'form';
    },
    showFormCancelRequest() {
      this.isShowFormCancelRequest = true;
      this.isShowFormPriseOffer = false;
      this.displayMobile = 'form';
    },
  },
};
</script>

<style lang="postcss">
  .inbox {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: flex-start;
      align-items: flex-start;
      width: 100%;
      height: 100%;
      padding: 0;
      @media screen and (max-width: 980px) {
        padding: 1.5rem 0 0 0;
        flex-direction: column;
      }
    }
    .block-outer {
      width: 100%;
      @media screen and (max-width: 980px) {
        display: none;
        &.active {
          display: block;
        }
      }
    }
    .block-description {
      display: flex;
      flex-direction: column;
      flex-wrap: nowrap;
      justify-content: flex-start;
      align-items: flex-start;
      width: 65%;
      height: 100%;
      padding: 1.5rem 1.5rem 2.5rem 1.5rem;
      @media screen and (max-width: 980px) {
        width: 100%;
        height: 100%;
        padding: 0 1rem 2rem 1rem;
        flex-flow: column nowrap;
        position: relative;
        .kit.breadcrumb {
          display: none;
        }
      }
    }
    .block-status {
      display: block;
      width: 35%;
      height: 100%;
      padding: 1.5rem 1.5rem 1.5rem 2.5rem;
      border-left: 1px solid #9badb9;
    }
    .title-mobile {
      @media screen and (max-width: 980px) {
        display: block;
        width: 100%;
        font-size: 1.3125rem;
        font-weight: 700;
        padding: 0;
      }
      @media screen and (min-width: 981px) {
        display: none;
      }
    }
    .title {
      display: block;
      line-height: 1.3;
      font-weight: 500;
      padding: 0 0 0.5rem 0;
      margin: 0;
      font-size: 1rem;
    }

    .subtitle {
      display: block;
      line-height: 1.3;
      font-weight: 500;
      padding: 0;
      margin: 0;
      font-size: 0.875rem;
      @media screen and (max-width: 980px) {
        font-size: 1rem;
      }
    }

    .inner-params {
      display: block;
      width: 100%;
      padding-bottom: 0.75rem;
    }

    .param {
      display: block;
      color: currentColor;
      line-height: 1.3;
      padding-bottom: 0.375rem;
      &:last-child {
        padding-bottom: 0;
      }
      &._normal {
        font-size: 0.875rem;
        @media screen and (max-width: 980px) {
          font-size: 1rem;
        }
      }
      &._small {
        font-size: 0.8125rem;
      }
      &._mini {
        font-size: 0.6875rem;
      }
      .caption, .value {
        display: inline;
        font: inherit;
      }
      .caption {
        font-weight: 500;
      }
      .value {
        font-weight: 400;
      }
    }

    .block-border {
      display: block;
      width: 100%;
      border-bottom: 1px solid #9badb9;
      padding: 0.75rem 0;
      .subtitle {
        padding-bottom: 1.25rem;
        padding-top: 0.5rem;
      }
    }

    .block-form {
      display: block;
      width: 100%;
    }

    .block-button {
      @media screen and (max-width: 980px) {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        padding-top: 0.5rem;
        .ui.button {
          margin: 0;
          font-size: 0.75rem;
          padding: 0.125rem 1rem;
          white-space: nowrap;
          .svg {
            display: inline-block;
            margin: -0.125rem 0.25rem 0 0;
            fill: #fff;
            height: 0.625rem;
          }
        }
      }
    }

    .steps-action {
      display: block;
      width: 100%;
      margin: 0;
      padding: 1rem 0 0 0;
      list-style: none;
      counter-reset: li;
      > .item {
        display: block;
        padding: 0 0 1.5rem 0;
        font-size: 0.6875rem;
        line-height: 1.3;
        font-weight: 400;
        white-space: normal;
        color: currentColor;
        position: relative;
        &:before {
          content: counters(li, "") "";
          counter-increment: li;
          width: 1rem;
          height: 1rem;
          line-height: 1rem;
          text-align: center;
          position: absolute;
          left: -1.5rem;
          top: 0;
          border-radius: 50%;
          border: 1px solid #4272A4;
        }
        .ui.button {
          min-width: 9rem;
          margin-top: 1rem;
        }
      }
    }
  }

</style>
